org.springframework.orm.ibatis.support

## Class SqlMapClientDaoSupport

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.orm.ibatis.support.SqlMapClientDaoSupport

All Implemented Interfaces:
  InitializingBean

Deprecated.
as of Spring 3.2, in favor of the native Spring support in the Mybatis follow-up project (http://code.google.com/p/mybatis/)

    @Deprecated
    public abstract class SqlMapClientDaoSupport
    extends DaoSupport

Convenient super class for iBATIS SqlMapClient data access objects. Requires a SqlMapClient to be set, providing a SqlMapClientTemplate based on it to subclasses.

Instead of a plain SqlMapClient, you can also pass a preconfigured SqlMapClientTemplate instance in. This allows you to share your SqlMapClientTemplate configuration for all your DAOs, for example a custom SQLExceptionTranslator to use.

Since:
  24.02.2004
Author:
  Juergen Hoeller
See Also:
  `setSqlMapClient(com.ibatis.sqlmap.client.SqlMapClient)`, `setSqlMapClientTemplate(org.springframework.orm.ibatis.SqlMapClientTemplate)`, `SqlMapClientTemplate`, `JdbcAccessor.setExceptionTranslator(org.springframework.jdbc.support.SQLExceptionTranslator)`

### Field Summary

### Fields inherited from class org.springframework.dao.support.DaoSupport

`logger`

### Constructor Summary

Constructors
Constructor and Description
`SqlMapClientDaoSupport()` Deprecated.

### Method Summary

Methods
`protected void` `checkDaoConfig()` Deprecated. Abstract subclasses must override this to check their configuration.
`DataSource` `getDataSource()` Deprecated. Return the JDBC DataSource used by this DAO.
`SqlMapClient` `getSqlMapClient()` Deprecated. Return the iBATIS Database Layer SqlMapClient that this template works with.
`SqlMapClientTemplate` `getSqlMapClientTemplate()` Deprecated. Return the SqlMapClientTemplate for this DAO, pre-initialized with the SqlMapClient or set explicitly.
`void` `setDataSource(DataSource dataSource)` Deprecated. Set the JDBC DataSource to be used by this DAO.
`void` `setSqlMapClient(SqlMapClient sqlMapClient)` Deprecated. Set the iBATIS Database Layer SqlMapClient to work with.
`void` `setSqlMapClientTemplate(SqlMapClientTemplate sqlMapClientTemplate)` Deprecated. Set the SqlMapClientTemplate for this DAO explicitly, as an alternative to specifying a SqlMapClient.

### Methods inherited from class org.springframework.dao.support.DaoSupport

`afterPropertiesSet, initDao`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlMapClientDaoSupport

    public SqlMapClientDaoSupport()

Deprecated.

### Method Detail

#### setDataSource

    public final void setDataSource(DataSource dataSource)

Deprecated.
Set the JDBC DataSource to be used by this DAO. Not required: The SqlMapClient might carry a shared DataSource.

See Also:
  `setSqlMapClient(com.ibatis.sqlmap.client.SqlMapClient)`

#### getDataSource

    public final DataSource getDataSource()

Deprecated.
Return the JDBC DataSource used by this DAO.

#### setSqlMapClient

    public final void setSqlMapClient(SqlMapClient sqlMapClient)

Deprecated.
Set the iBATIS Database Layer SqlMapClient to work with. Either this or a "sqlMapClientTemplate" is required.

See Also:
  `setSqlMapClientTemplate(org.springframework.orm.ibatis.SqlMapClientTemplate)`

#### getSqlMapClient

    public final SqlMapClient getSqlMapClient()

Deprecated.
Return the iBATIS Database Layer SqlMapClient that this template works with.

#### setSqlMapClientTemplate

    public final void setSqlMapClientTemplate(SqlMapClientTemplate sqlMapClientTemplate)

Deprecated.
Set the SqlMapClientTemplate for this DAO explicitly, as an alternative to specifying a SqlMapClient.

See Also:
  `setSqlMapClient(com.ibatis.sqlmap.client.SqlMapClient)`

#### getSqlMapClientTemplate

    public final SqlMapClientTemplate getSqlMapClientTemplate()

Deprecated.
Return the SqlMapClientTemplate for this DAO, pre-initialized with the SqlMapClient or set explicitly.

#### checkDaoConfig

    protected final void checkDaoConfig()

Deprecated.
Description copied from class: `DaoSupport`
Abstract subclasses must override this to check their configuration.

Implementors should be marked as `final` if concrete subclasses are not supposed to override this template method themselves.

Specified by:
  `checkDaoConfig` in class `DaoSupport`